echo off
REM TITLE  SELECT - (C) Copyright 1992, EPSON PORTLAND, INCORPORATED
REM ===========================================================================
REM
REM Scopo:      Il file batch provvede a caricare il SETUP in maniera
REM             automatica per diversi personal computer EPSON.    
REM             Viene utilizzato il file MENU.EXE che richiama il segmento
REM             di programma relativo al PC selezionato, introducendo i
REM             valori che vanno da 1 a 4 (o 'Q' per uscire').
REM
REM Parametri in Input:         Nessuno
REM
REM Parametri in Output:
REM
REM     SELEZIONE UTENTE        AZIONE ESEGUITA 
REM
REM             1               SETUP per EPSON AX2e
REM             2               SETUP per EPSON AX3/20       
REM             3               SETUP per EPSON AX3s
REM             4               SETUP per EPSON AX3/25
REM             Q               Quit (Uscita programma)
REM
REM Revision History :
REM
REM REV 5.0     ita              
cls
echo       PROGRAMMA DI SELEZIONE PER ESEGUIRE IL SETUP
echo       (c) Copyright 1992, EPSON PORTLAND INCORPORATED
echo        Setup ver. 5.0
pause
echo       Se si desidera utilizzare il SETUP su alcuni PC EPSON (elencate
echo       sotto) quando quest'ultimi fungono da SERVER in ambiente di rete
echo       NOVELL NETWARE 2.15 o 2.2, e' necessario eseguire questo batch 
echo       file per riconfigurare il PC. 
echo       NON UTILIZZARE IL SETUP FORNITO COL DISCO DI REFERENCE.
:top
echo       *************************************************************
echo       Introdurre il numero corrispondente al PC in Vostro possesso
echo       o premere Q per uscire.
echo                     1 - EPSON AX2e
echo                     2 - EPSON AX3
echo                     3 - EPSON AX3s
echo                     4 - EPSON AX3/25
echo                     Q - Quit (Esce dal programma)
echo       *************************************************************
menu
if errorlevel 113 goto end
if not errorlevel 53 goto option4
echo Introducendo un valore non corretto comportera' l'uscita dal programma.
pause
goto top
:option4
if not errorlevel 52 goto option3
SETUPWL.EXE
goto done
:option3
if not errorlevel 51 goto option2
SETUPWL.EXE
goto done
:option2
if not errorlevel 50 goto option1
SETUPCH.EXE
goto done
:option1
SETUPCH.EXE
:done
cls
:end
